#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: cipher-aes
version: 0.2.11
id: cipher-aes-0.2.11-5sNPyOQiyxdFTIpHdk5b1m
key: cipher-aes-0.2.11-5sNPyOQiyxdFTIpHdk5b1m
license: BSD-3-Clause
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
author: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-cipher-aes
synopsis: Fast AES cipher implementation with advanced mode of operations
description:
    Fast AES cipher implementation with advanced mode of operations.
    .
    The modes of operations available are ECB (Electronic code book),
    CBC (Cipher block chaining), CTR (Counter), XTS (XEX with ciphertext stealing),
    GCM (Galois Counter Mode).
    .
    The AES implementation uses AES-NI when available (on x86 and x86-64 architecture),
    but fallback gracefully to a software C implementation.
    .
    The software implementation uses S-Boxes, which might suffer for cache timing issues.
    However do notes that most other known software implementations, including very popular
    one (openssl, gnutls) also uses similar implementation. If it matters for your
    case, you should make sure you have AES-NI available, or you'\''ll need to use a different
    implementation.
    .
category: Cryptography
abi: ac620c12ef59526844066639e512140a
exposed: True
exposed-modules:
    Crypto.Cipher.AES
import-dirs: /usr/lib/ghc-8.4.2/site-local/cipher-aes-0.2.11
library-dirs: /usr/lib/ghc-8.4.2/site-local/cipher-aes-0.2.11
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/cipher-aes-0.2.11
hs-libraries: HScipher-aes-0.2.11-5sNPyOQiyxdFTIpHdk5b1m
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY
    securemem-0.1.10-1S3TO7XVNlX6rp8CclufFY
    crypto-cipher-types-0.0.9-7uztzSRso0jFHBxa6bfNuo
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             byteable-0.1.1-APABKKN6nDlC3QxQBw4YlY=92b5e3ef28899454b801dbff33965e76
             securemem-0.1.10-1S3TO7XVNlX6rp8CclufFY=00dd2c4d62fa7494eef2d421e296fd6e
             crypto-cipher-types-0.0.9-7uztzSRso0jFHBxa6bfNuo=5868983804173309c80723f92f581b66
haddock-interfaces: /usr/share/doc/haskell-cipher-aes/html/cipher-aes.haddock
haddock-html: /usr/share/doc/haskell-cipher-aes/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

